List reports
curl --request GET \
--url 'https://www.thereviewport.com/api/reports?apiKey='import requests
url = "https://www.thereviewport.com/api/reports?apiKey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.thereviewport.com/api/reports?apiKey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"page": 123,
"pageSize": 123,
"total": 123,
"totalPages": 123,
"hasNextPage": true
},
"results": [
{
"guid": "<string>",
"title": "<string>",
"summary": "<string>",
"publishedDate": "2023-11-07T05:31:56Z",
"region": "<string>",
"issueType": "<string>",
"issueVersion": "<string>",
"isFeatured": true,
"images": {
"header": "<string>",
"thumbnail": "<string>"
},
"manager": {
"guid": "<string>",
"name": "<string>",
"logo": "<string>"
},
"issuer": {
"guid": "<string>",
"name": "<string>",
"logo": "<string>"
},
"tags": [
{
"id": "<string>",
"label": "<string>",
"slug": "<string>"
}
],
"links": {
"self": "<string>",
"web": "<string>",
"embed": "<string>"
}
}
]
}{
"error": "API key required. Provide via query ?apiKey=... or header x-api-key."
}{
"error": "Access to reports is not permitted for this API key."
}{
"error": "Rate limit exceeded. Try again later."
}Reports
List reports
Retrieve a paginated list of published CLO reports with optional filters.
GET
/
reports
List reports
Authorizations
ApiKeyQueryApiKeyHeader
API key passed as query parameter
Query Parameters
Page number (1-indexed)
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100Text search query
Filter by region
Filter by issue type
Filter by issue version
Filter by tag slug
Filter by featured status
Filter by published date (from)
Filter by published date (to)
Filter by manager ObjectId
Filter by manager GUID
Filter by issuer ObjectId
Filter by issuer GUID
⌘I
